Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Add missing require and package dependency for color-theme #1

Merged
merged 1 commit into from

2 participants

@purcell

This commit allows color-theme to be automatically installed when color-theme-heroku is installed.

It also autoloads the 'color-theme-heroku function so that users do not need to explicitly require 'color-theme-heroku first.

BTW, you might consider making an Emacs 24 version of this theme, thus removing the dependency on color-theme. :-) For an example of a theme which has versions for both color-theme and the Emacs 24 built-in theme system, see https://github.com/juba/color-theme-tangotango/

@purcell purcell Add missing require and package dependency for color-theme
This commit allows color-theme to be automatically installed
when color-theme-heroku is installed.

It also autoloads the 'color-theme-heroku function so that users
do not need to explicitly require 'color-theme-heroku first.
ead6736
@jonathanchu jonathanchu merged commit 6cfecec into from
@jonathanchu
Owner

Ah thanks @purcell! And yes, @Wraithan already made me aware of making it Emacs 24 color-theme ready - thanks for the link though. This shows me how it should be done :+1:

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Apr 1, 2013
  1. @purcell

    Add missing require and package dependency for color-theme

    purcell authored
    This commit allows color-theme to be automatically installed
    when color-theme-heroku is installed.
    
    It also autoloads the 'color-theme-heroku function so that users
    do not need to explicitly require 'color-theme-heroku first.
This page is out of date. Refresh to see the latest.
Showing with 4 additions and 0 deletions.
  1. +4 −0 color-theme-heroku.el
View
4 color-theme-heroku.el
@@ -8,6 +8,7 @@
;; Author: Jonathan Chu <jonathan.chu@me.com>
;; URL: https://github.com/jonathanchu/color-theme-heroku
;; Version: 1.0.0
+;; Package-Requires: ((color-theme "6.6.1"))
;;
;; Installation (Emacs 23 and below)
;; 1. Install the color-theme package
@@ -15,6 +16,9 @@
;; 2. Load this file i.e. (load-file "~/.emacs.d/vendor/custom-color-themes/color-theme-heroku.el")
;; 3. (color-theme-heroku)
+(require 'color-theme)
+
+;;;###autoload
(defun color-theme-heroku ()
(interactive)
(color-theme-install
Something went wrong with that request. Please try again.